mdb_txn(3)

NAME
mdb_txn - Transaction Flags

SYNOPSIS

  Macros

#define MDB_TXN_BEGIN_FLAGS MDB_RDONLY
#define MDB_TXN_RDONLY MDB_RDONLY
#define MDB_TXN_WRITEMAP MDB_WRITEMAP
#define MDB_TXN_FINISHED 0x01
#define MDB_TXN_ERROR 0x02
#define MDB_TXN_DIRTY 0x04
#define MDB_TXN_SPILLS 0x08
#define MDB_TXN_HAS_CHILD 0x10
#define MDB_TXN_BLOCKED (MDB_TXN_FINISHED|MDB_TXN_ERROR|MDB_TXN_HAS_CHILD)

Detailed Description

Macro Definition Documentation

  #define MDB_TXN_BEGIN_FLAGS MDB_RDONLY
mdb_txn_begin() flags

  #define MDB_TXN_RDONLY MDB_RDONLY
read-only transaction

  #define MDB_TXN_WRITEMAP MDB_WRITEMAP
copy of MDB_env flag in writers

  #define MDB_TXN_FINISHED 0x01
txn is finished or never began

  #define MDB_TXN_ERROR 0x02
txn is unusable after an error

  #define MDB_TXN_DIRTY 0x04
must write, even if dirty list is empty

  #define MDB_TXN_SPILLS 0x08
txn or a parent has spilled pages

  #define MDB_TXN_HAS_CHILD 0x10
txn has an MDB_txn.mt_child

  #define MDB_TXN_BLOCKED (MDB_TXN_FINISHED|MDB_TXN_ERROR|MDB_TXN_HAS_CHILD)
most operations on the txn are currently illegal

Author

Generated automatically by Doxygen for LMDB from the source code.